E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::Resolver::Config Struct Reference

A configuration structure for GNet::Resolver. More...

`#include <gresolver.h>`

## Public Member Functions
Config & | set_with_canonical_name (bool=true) noexcept
Config & | set_raw (bool=true) noexcept
Config & | set_convert_to_punycode (bool=true) noexcept
Config & | set_datagram (bool=true) noexcept
Config & | set_idn_flag (bool=true) noexcept

## Public Attributes
bool | with_canonical_name {false}
bool | raw {false}
bool | datagram {false}
bool | idn_flag {false}
bool | test_slow {false}

## Detailed Description

A configuration structure for GNet::Resolver.

Definition at line 51 of file gresolver.h.

## Member Function Documentation

## ◆ set_datagram()

GNet::Resolver::Config & GNet::Resolver::Config::set_datagram | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 130 of file gresolver.h.

## ◆ set_idn_flag()

GNet::Resolver::Config & GNet::Resolver::Config::set_idn_flag | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 131 of file gresolver.h.

## ◆ set_raw()

GNet::Resolver::Config & GNet::Resolver::Config::set_raw | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 129 of file gresolver.h.

## ◆ set_with_canonical_name()

GNet::Resolver::Config & GNet::Resolver::Config::set_with_canonical_name | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 128 of file gresolver.h.

## Member Data Documentation

## ◆ datagram

bool GNet::Resolver::Config::datagram {false}

Definition at line 56 of file gresolver.h.

## ◆ idn_flag

bool GNet::Resolver::Config::idn_flag {false}

Definition at line 57 of file gresolver.h.

## ◆ raw

bool GNet::Resolver::Config::raw {false}

Definition at line 55 of file gresolver.h.

## ◆ test_slow

bool GNet::Resolver::Config::test_slow {false}

Definition at line 58 of file gresolver.h.

## ◆ with_canonical_name

bool GNet::Resolver::Config::with_canonical_name {false}

Definition at line 54 of file gresolver.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gresolver.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gresolver.cpp